# Interface CompilationInput

#### Hierarchy

- CompilationInput

- Defined in packages/db/typings/schema.d.ts:383

#####
Index

### Properties

compiler
immutableReferences?
processedSources
sourceMaps?
sources

## Properties

### compiler

compiler: CompilerInput

- Defined in packages/db/typings/schema.d.ts:384

### `Optional` immutableReferences

immutableReferences?: null | (null | ImmutableReferenceInput)[]

- Defined in packages/db/typings/schema.d.ts:388

### processedSources

processedSources: (null | ProcessedSourceInput)[]

- Defined in packages/db/typings/schema.d.ts:385

### `Optional` sourceMaps

sourceMaps?: null | (null | SourceMapInput)[]

- Defined in packages/db/typings/schema.d.ts:387

### sources

sources: (null | ResourceReferenceInput)[]

- Defined in packages/db/typings/schema.d.ts:386

Generated using TypeDoc